### R code from vignette source 'BinomialTrees.Rnw'

###################################################
### code chunk number 1: BinomialTrees.Rnw:16-19
###################################################
library(knitr)
suppressPackageStartupMessages(library(GARPFRM))
opts_chunk$set(tidy=FALSE, warning=FALSE, fig.width=5, fig.height=5)


###################################################
### code chunk number 2: BinomialTrees.Rnw:148-156
###################################################
am.put <- optionSpec(style = "american", 
                      type = "put", 
                      S0 = 50, 
                      K = 52, 
                      maturity = 2, 
                      r = 0.05, 
                      volatility = 0.3)
am.value <- optionValue(am.put, "Binomial", 2, verbose = TRUE)


###################################################
### code chunk number 3: BinomialTrees.Rnw:181-190
###################################################
eu.call <- optionSpec(style = "european", 
                      type = "call", 
                      S0 = 810, 
                      K = 800, 
                      maturity = 0.5, 
                      r = 0.05, 
                      volatility = 0.2,
                      q = 0.02)
eu.value <- optionValue(eu.call, "Binomial", 2, verbose = TRUE)


###################################################
### code chunk number 4: BinomialTrees.Rnw:194-203
###################################################
am.call <- optionSpec(style = "american", 
                      type = "call", 
                      S0 = 0.61, 
                      K = 0.6, 
                      maturity = 3/12, 
                      r = 0.05, 
                      volatility = 0.12,
                      q = 0.07)
am.value <- optionValue(am.call, "Binomial", 3, verbose = TRUE)


